class SoftwareHighlightedService
  include SoftwareResponseBuilder

  def index
    software = Software.includes(:external_links, :image)
                       .where(highlighted: true)
                       .order(id: :desc)
                       .first
    return nil unless software

    releases = Release.where(software_id: software.id).to_a
    build_response(software, releases)
  end
end
